Não satisfaz as dependências: uma solução

Deixe sua contribuição, assim vamos facilitar a manutenção e configuração para outros membros que estão iniciando.
Regras do fórum Leia as Regras Gerais do Chakra Brasil em "Normatividade" e pesquise antes de postar.

Não satisfaz as dependências: uma solução

Mensagempor BSB » 12 Out 2013, 16:30  •  MS 1

Esta dica é para novos usuários que não estam muito acostumados a usar a linha de comando, assim como eu. :mrgreen:

Recentemente estava com um problema para usar o comado sudo pacman -Syu para atualizar o Chakra Fritz 2013.09. Mas, graça ao Holmes o meu problema foi resolvido, veja aqui:

http://www.chakra-linux.com.br/forum/viewtopic.php?f=16&t=882

Então o processo de atualização começou tranquilo:

Código: Selecionar todos
[[email protected] adm]# pacman -Syu
:: Sincronizando a base de dados de pacotes...
 lib32 está atualizado
 core está atualizado
 platform está atualizado
 desktop está atualizado
 apps está atualizado
 games está atualizado
:: Iniciando atualização completa do sistema...


Até ao ponto que surgiu a seguinte questão: :!: :?:

Código: Selecionar todos
:: Substituir kdebindings-pykde4 por desktop/kdebindings-python2? [S/n] S
:: Substituir pyqt4-common por platform/python-pyqt4-common? [S/n] S                                                                                                   
:: Substituir pyqt4-python2 por platform/python2-pyqt4? [S/n] S                                                                                                         
:: Substituir sip-common por platform/python-sip-common? [S/n] S                                                                                                       
:: Substituir sip-python2 por platform/python2-sip? [S/n] S


Claro que eu fui tascando "S" pra tudo. Mas, sem sucesso:

Código: Selecionar todos
resolvendo dependências...                                                                                                                                             
procurando por conflitos inter-relacionados...                                                                                                                         
erro: falha ao preparar a transação (não foi possível satisfazer as dependências)                                                                                       
:: kapudan: requer pyqt


Logo segui umas das dicas do nosso fórum http://www.chakra-linux.com.br/forum/viewtopic.php?f=17&t=41 e apliquei o comando que remove um determinado pacote ignorando as suas dependências pacman -Rdd:

Código: Selecionar todos
[email protected] adm]# pacman -Rdd kdebindings-pykde4 pyqt4-common pyqt4-python2 sip-common sip-python2
:: kde-workspace requer como opção kdebindings-pykde4: Python Support for Plasma                                                                                       
:: pulseaudio requer como opção pyqt4-python2: Equalizer GUI (qpaeq)                                                                                                   
                                                                                                                                                                       
Pacotes (5): kdebindings-pykde4-4.11.1-1  pyqt4-common-4.10-7  pyqt4-python2-4.10-7  sip-common-4.14.5-2  sip-python2-4.14.5-2                                         
                                                                                                                                                                       
Tamanho total removido:   51,85 MiB                                                                                                                                     
                                                                                                                                                                       
:: Deseja remover estes pacotes? [S/n] S                                                                                                                               
(1/5) removendo kdebindings-pykde4                                                                   [############################################################] 100%
(2/5) removendo pyqt4-python2                                                                        [############################################################] 100%
(3/5) removendo sip-python2                                                                          [############################################################] 100%
(4/5) removendo sip-common                                                                           [############################################################] 100%
(5/5) removendo pyqt4-common                                                                         [############################################################] 100%


Desta forma eu consegui continuar com a atualização. Conforme o link do arquivo:

Código: Selecionar todos
sudo pacman -Syu


 ! Truta escreveu:
Mensagem editada para corregir o BBCode para url. Também foi editado o título para adequá-lo ao tema proposto ao tópico.
Editado pela última vez por Truta em 12 Out 2013, 17:51, em um total de 4 vezes.
Razão: correções gerais

Esta mensagem de BSB recebeu agradecimentos de
Truta (12 Out 2013, 17:48)
Avatar do usuário
BSB
Simpatizante
 
Mensagens: 19
Registrado em: 04 Fev 2013, 19:52
Agradeceu: 2 vez(es)
Agradecido: 2 vez(es)
Distro utilizada: Chakra
Versão: 2013.02

Mensagempor Truta » 12 Out 2013, 17:53  •  MS 2

Valeu pela dica!

Obs.: toma cuidado ao postar um endereço de qualquer site, pois o BBCode adequado é o url.

Truta
Imagem

[Dica] Antes de abrir um Novo Tópico, procure saber se a sua dúvida já foi respondida. Pesquise no Google por palavras (em inglês também) relacionadas à ela, somado à palavra "chakra".

Imagem Chakra Brasil planet

Imagem Canal IRC Freenode

Esta mensagem de Truta recebeu agradecimentos de
BSB (12 Out 2013, 22:31)
Avatar do usuário
Truta
Colaborador
 
Mensagens: 648
Artigos: 3
Registrado em: 11 Fev 2012, 14:52
Localização: Brasil
Agradeceu: 32 vez(es)
Agradecido: 8 vez(es)
Distro utilizada: Chakra/Manjaro
Versão: Estável
Ambiente: KDE

Mensagempor Holmes » 12 Out 2013, 19:00  •  MS 3

obrigado por compartilhar a solução. fique atento com o uso do BBCode para url... ;)

vlw fwi, Holmes :)
Membro associado, Associação Software Livre

Visitem e colaborem com nosso Knowledge Base.

Leia as Regras Gerais e pesquise antes de postar.
Se a sua dúvida foi respondida marque Resolvido em seu tópico com o botão V Imagem.
Avatar do usuário
Holmes
Fundador
 
Mensagens: 1649
Artigos: 29
Registrado em: 05 Fev 2012, 20:40
Localização: Brasil
Agradeceu: 16 vez(es)
Agradecido: 106 vez(es)
Distro utilizada: Manjaro
Versão: 15.09
Ambiente: XFCE

Mensagempor BSB » 12 Out 2013, 22:29  •  MS 4

Blz. Agradeço por lembrar, nas próximas eu irei postar nestes padrões.
Editado pela última vez por BSB em 12 Out 2013, 22:30, em um total de 1 vez.
Razão: Ortografia.
Avatar do usuário
BSB
Simpatizante
 
Mensagens: 19
Registrado em: 04 Fev 2013, 19:52
Agradeceu: 2 vez(es)
Agradecido: 2 vez(es)
Distro utilizada: Chakra
Versão: 2013.02


Voltar para Dicas, Truques e Astúcias



Quem está online

Usuários navegando neste fórum: Nenhum usuário registrado e 1 visitante

cron
^ Voltar ao Topo